public static interface ServiceBusEndpointBuilderFactory.ServiceBusBuilders
| Modifier and Type | Method and Description |
|---|---|
default ServiceBusEndpointBuilderFactory.ServiceBusEndpointBuilder |
azureServicebus(String path)
Azure ServiceBus (camel-azure-servicebus)
The azure-servicebus component that integrates Azure ServiceBus.
|
default ServiceBusEndpointBuilderFactory.ServiceBusEndpointBuilder |
azureServicebus(String componentName,
String path)
Azure ServiceBus (camel-azure-servicebus)
The azure-servicebus component that integrates Azure ServiceBus.
|
default ServiceBusEndpointBuilderFactory.ServiceBusEndpointBuilder azureServicebus(String path)
azure-servicebus:topicOrQueueName
Path parameter: topicOrQueueName
Selected topic name or the queue name, that is depending on
serviceBusType config. For example if serviceBusType=queue, then this
will be the queue name and if serviceBusType=topic, this will be the
topic name.path - topicOrQueueNamedefault ServiceBusEndpointBuilderFactory.ServiceBusEndpointBuilder azureServicebus(String componentName, String path)
azure-servicebus:topicOrQueueName
Path parameter: topicOrQueueName
Selected topic name or the queue name, that is depending on
serviceBusType config. For example if serviceBusType=queue, then this
will be the queue name and if serviceBusType=topic, this will be the
topic name.componentName - to use a custom component name for the endpoint
instead of the default namepath - topicOrQueueNameApache Camel